/* banner do site */

.container {
    display: flex;
    justify-content: center;
    align-items: center;
  
}
.container p {
    letter-spacing: 0.1rem;
    overflow: hidden;
    color: #FFFFFF;

}
.container p span.typed-text {
    padding-left: 10px;
    color: #E88331;
    font-weight: 500;
    
}
.container p span.cursor {
    display:inline-flex;
    background-color: #ccc;
    margin-left: 0.1rem;
    width: 3px;
    animation: blink 1s infinite;
    
}
.container h1 span.cursor.typing {
    animation: none;
}
  @keyframes blink {
    0%  { background-color: #ccc; }
    49% { background-color: #ccc; }
    50% { background-color: transparent; }
    99% { background-color: transparent; }
    100%  { background-color: #ccc; }
} 

/* Efeito Menu */

.menu li a:hover{
    color: #E88331;
}
.menu li a:after{
    content: " ";
    width: 0%;
    height: 2px;
    background: #E78231;
    position: absolute;
    bottom: 0;
    left: 0;
    transition: 0.5s ease-in-out;
}
.menu li a:hover::after{
    width: 100%;

}

/* Efeito Whatsapp */

 #link-whats:hover {
    background-color:#38ef7d ;
    transform: translateY(-3px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
}
#link-whats:link,
#link-whats:visited {
    text-transform: uppercase;
    text-decoration: none;
    border-radius: 100px;
    transition: all .2s;

}

#link-whats:active {
    transform: translateY(-1px);
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}

#link-whats::after {
    content: "";
    display: inline-block;
    height: 100%;
    width: 100%;
    border-radius: 100px;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    transition: all .4s;
}
#link-whats-animated {
    animation: moveInBottom 5s ease-out;
    animation-fill-mode: backwards;
}
#link-whats:hover::after {
    transform: scaleX(1.4) scaleY(1.6);
    opacity: 0;
}

/* Pular whatsapp */

.pulsate-fwd {
	-webkit-animation: pulsate-fwd 0.5s ease-in-out infinite both;
	        animation: pulsate-fwd 0.5s ease-in-out infinite both;
}

 @-webkit-keyframes pulsate-fwd {
    0% {
      -webkit-transform: scale(1);
              transform: scale(1);
    }
    50% {
      -webkit-transform: scale(1.1);
              transform: scale(1.1);
    }
    100% {
      -webkit-transform: scale(1);
              transform: scale(1);
    }
  }
  @keyframes pulsate-fwd {
    0% {
      -webkit-transform: scale(1);
              transform: scale(1);
    }
    50% {
      -webkit-transform: scale(1.1);
              transform: scale(1.1);
    }
    100% {
      -webkit-transform: scale(1);
              transform: scale(1);
    }
  }
  

@keyframes moveoBottom{
    0% {
        opacity: 0;
        transform: translateY(30px);
    }
    100% {
        opacity: 1;
        transform: translateY(0px);
    }
}

/* Botão para subir */

#arrow-up:hover{
    background-color:#114691;
    transform: translateY(-3px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
}

#arrow-up:hover{
    background-color:#114691;
   
}
#arrow-up:link,
#arrow-up:visited {
    text-transform: uppercase;
    text-decoration: none;
    transition: all .2s;
}

#arrow-up:active {
    transform: translateY(-1px);
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}

#arrow-up::after {
    content: "";
    display: inline-block;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    transition: all .4s;
}
#arrow-up:-animated {
    animation: moveInBottom 5s ease-out;
    animation-fill-mode: backwards;
}
#arrow-up::hover::after {
    transform: scaleX(1.4) scaleY(1.6);
    opacity: 0;
} 

/* Logos dos Clientes*/

.logosC:hover .logos-slide{
    animation-play-state: paused;
}
.logosC:before, .logosC:after{
    position: absolute;
    top: 0;
    width: 210px;
    height: 100%;
    content: "";
    z-index: 2;
}
.logosC:before{
    left: 0;
    background: linear-gradient(to left, rgba(255, 255, 255, 0), white);
}
.logosC:after{
    right: 0;
    background: linear-gradient(to right, rgba(255, 255, 255, 0), white);
}

.logos-slide{
    display: inline-block;
    animation: 15s slide infinite linear;
}


/* Efeito Serviços*/

@keyframes is-bouncing{
    to{
        transform: translateY(30px);
    }
}

/* Logos dos Clientes */

@keyframes slide {
    from{
        transform: translateX(0);
    }
    to{
        transform: translateX(-100%);
    }
}

/* MISSA VISAO VALORE e  sobre */

.hidden{
    opacity: 0;
    filter: blur(15px);
    transform: translateY(-100%);
    transition: all 2s;
   
}

.show{
    opacity: 1;
    filter: blur(0px);
    transform: translateY(0);
    transition: all 2s;
    transition-duration: 2s;
}

/* Icon footer */

.logo-instagram:hover{
    color: #E88331;
}
.logo-facebook:hover{
    color: #E88331;
}
.logo-twitter:hover{
    color: #E88331;
}
.logo-linkedin:hover{
    color: #E88331;
}
.mail-outline:hover{
    color: #E88331;
}
